Bug 805613 - Wrong Requires to DB backend of rpm
Wrong Requires to DB backend of rpm
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-21 12:56 EDT by Jochen Schmitt
Modified: 2012-05-26 03:10 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-26 03:10:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshoot of the VM (28.09 KB, image/png)
2012-04-18 10:45 EDT, Jochen Schmitt
no flags Details

  None (edit)
Description Jochen Schmitt 2012-03-21 12:56:47 EDT
Description of problem:

rpm display an error message about Database version mismatch

Version:
rpm 4.9.1.2

How reproducible:

1. Install Fedora 16 (x86_64)
2. Make a full update
3. Install fedora-release from Fedora 17 Alpha
4. make an yum update rpm
5. when calling yum or rpm, you will get an error message
about a Database Version Mismatch
Comment 1 Jochen Schmitt 2012-04-18 10:45:45 EDT
Created attachment 578376 [details]
Screenshoot of the VM

Still exist in F17-Beta
Comment 2 Panu Matilainen 2012-04-18 11:43:13 EDT
It's not an issue of depenedencies or anything like that, its a previously unnoticed string change in db_stat output which prevents rpm's %posttrans kludge around this (bdb version changes underneath) from working.

Will fix, but then again yum updates aren't "supported" anyway so its not exactly an urgent showstopper issue.
Comment 3 Fedora Update System 2012-05-07 06:22:31 EDT
rpm-4.9.1.3-7.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/rpm-4.9.1.3-7.fc17
Comment 4 Fedora Update System 2012-05-07 18:26:39 EDT
Package rpm-4.9.1.3-7.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing rpm-4.9.1.3-7.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-7465/rpm-4.9.1.3-7.fc17
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-05-26 03:10:24 EDT
rpm-4.9.1.3-7.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.